AutoRefreshRMFailoverProxyProvider (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.client, class: AutoRefreshRMFailoverProxyProvider

Package org.apache.hadoop.yarn.client

# Class AutoRefreshRMFailoverProxyProvider<T>

java.lang.Object
org.apache.hadoop.yarn.client.ConfiguredRMFailoverProxyProvider<T>
org.apache.hadoop.yarn.client.AutoRefreshRMFailoverProxyProvider<T>

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `org.apache.hadoop.io.retry.FailoverProxyProvider<T>`, `RMFailoverProxyProvider<T>`

@Private @Unstable public class AutoRefreshRMFailoverProxyProvider<T> extends ConfiguredRMFailoverProxyProvider<T>
A subclass of `RMFailoverProxyProvider` which tries to resolve the proxy DNS in the event of failover. This provider supports YARN Resourcemanager's HA mode. This provider doesn't support Federation.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.hadoop.io.retry.FailoverProxyProvider

  `org.apache.hadoop.io.retry.FailoverProxyProvider.ProxyInfo<T extends Object>`

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.yarn.client.ConfiguredRMFailoverProxyProvider

  `conf, protocol, rmProxy, rmServiceIds`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AutoRefreshRMFailoverProxyProvider()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `performFailover(T currentProxy)`

  ### Methods inherited from class org.apache.hadoop.yarn.client.ConfiguredRMFailoverProxyProvider

  `close, getInterface, getProxy, getProxyInternal, init`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AutoRefreshRMFailoverProxyProvider

    public AutoRefreshRMFailoverProxyProvider()

- ## Method Details

  - ### performFailover

    public void performFailover(T currentProxy)
    Specified by:
      `performFailover` in interface `org.apache.hadoop.io.retry.FailoverProxyProvider<T>`
    Overrides:
      `performFailover` in class `ConfiguredRMFailoverProxyProvider<T>`